print.probetable {matchprobes} | R Documentation

## Print method for probetable objects

### Description

Prints class(x), nrow(x) and ncol(x), but not the elements of x. The motivation for having this method is that methods from the package `base` such as `print.matrix` and `print.data.frame` will try to print the values of all elements of `x`, which can take inconveniently much time and screen space if `x` is large.

### Usage

    print.probetable(x, ...)

### Arguments

`x` | an object of S3-class `probetable`.
`...` | further arguments that get ignored.

### See Also

`print.matrix`, `print.data.frame`

### Examples

      a = as.data.frame(matrix(runif(1e6), ncol=1e3))
      class(a) = c("probetable", class(a))
      print(a)
      print(as.matrix(a[2:3, 4:6]))

[Package matchprobes version 1.8.1 Index]